@echo off
setlocal
PUSHD %~dp0
::-------------------------------------------------
:: Autor: Erich Vonach
::        IT-Regionalbetreuer
:: Datum: 08.09.2019
::-------------------------------------------------
::
::------------ Variable setzten -------------------
::
set SourceDir=%cd%
set CName=Server
::
::
::-------------------------------------------------

::------------ SERVER-ermitteln -------------------
::
if EXIST "\\server\netlogon" goto noDFS
if EXIST "\\schule.aps\netlogon" goto DFS
::
:noDFS
set MYSERVER=Server
set MYSERVER1=Server
set MYSERVER2=Server
set VERKNUEPFUNGEN=Verknuepfungen_noDFS
set VERKNUEPFUNGEN_LEHRER=Verknuepfungen_noDFS_Lehrer
set BATCOPY=Bat_noDFS
::
goto Abfrage

:DFS
set MYSERVER=schule.aps
set MYSERVER1=schule.aps\dfs
set MYSERVER2=DCSchule
set VERKNUEPFUNGEN=Verknuepfungen_DFS
set VERKNUEPFUNGEN_LEHRER=Verknuepfungen_DFS_Lehrer
set BATCOPY=Bat_DFS
::
goto Abfrage
::
cls
::
:Abfrage
::
set PATCHNR=RBSrv_AdobeAcrobatReaderDC
set LOGFILE=\\%MYSERVER1%\Logs\%PATCHNR%.log
::
if exist %LOGFILE% goto noPatch
::
:: gehe zum Standardprogramm und kehre zu Befehle zurck
:: - wurde Batch schon ausgefhrt?
:: - ist Batch fr Betriebssystem geeignet?
::
goto Standardprogramm
::
:Befehle
::
::-----------------
::  Abfrage Eignung
::-----------------
::
If /i %computername%==%CName% goto ANWEISUNGEN
goto UNGEEIGNET
::
:ANWEISUNGEN
::
::
color E0
::
echo.
echo -------------------------------------------------------------------------------
echo.
echo    Dieser Serverpatch macht folgendes ...
echo.
echo -------------------------------------------------------------------------------
echo.
echo.
echo   - importiert ADMX(L)-Files fr den 'Adobe AcrobatReader DC' in den Central Store
echo   - importier eine neue GPO 'C_AdobeAcrobatReaderDC' in die OU 'Schule - Computer'
echo.
echo.
echo -------------------------------------------------------------------------------
echo   Weiter mit "ja" plus ENTER    (andere Taste bricht ab)
echo -------------------------------------------------------------------------------
set /p AUSWAHL= fortsetzen?   
echo. -------------------------------------------------------
if /i "%AUSWAHL%"=="ja" goto WEITER_1
echo.
echo ... abgebrochen ...
ping -n 3 127.0.0.1 >nul
del %LOGFILE%
exit
rem -----Raus-----------------------
::
:WEITER_1
::
:: **********************************************************************************
:: * Central Store wird eingerichtet                                                *
:: **********************************************************************************
::
echo.
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE%"
echo --^>   Central Store fue ADMX- und ADML-Files wird bei Bedarf eingerichtet.       					>>"%LOGFILE%"
echo --^>   - ADMX-Files werden kopiert nach \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions            >>"%LOGFILE%"
echo --^>   - ADML-Files werden kopiert nach \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\de-DE      >>"%LOGFILE%"
echo.                                                                              					>>"%LOGFILE%"
:: ====LOG=============================================================================
::
if not exist \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\. goto CentralStore
goto WEITER_2
::
:CentralStore
echo Central Store wird eingerichtet
::
md \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions
md \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\de-DE
copy \\%MYSERVER2%\%systemroot%\PolicyDefinitions\* \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions
copy \\%MYSERVER2%\%systemroot%\PolicyDefinitions\de-DE\* \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\de-DE
::
:WEITER_2

:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE%"
echo --^>   Die GPO 'C_AdobeAcrobatReaderDC wurde erstellt						       		>>"%LOGFILE%"
echo.                                                                              					>>"%LOGFILE%"
:: ====LOG=============================================================================
::
cscript "%SourceDir%\_Server\Tools\DeleteGPO.wsf" C_AdobeAcrobatReaderDC
cscript "%SourceDir%\_Server\Tools\ImportGPO.wsf" %SourceDir%\_Server\GPO\C_AdobeAcrobatReaderDC C_AdobeAcrobatReaderDC /CreateIfNeeded
cscript "%SourceDir%\_Server\Tools\CreateEnvironmentFromXML.wsf" /XML:%SourceDir%\_Server\GPO\C_AdobeAcrobatReaderDC.xml /createUserenabeled /Q
::
echo  --------------------------------------------------------------
cls
color 2E
echo.
echo   Vorgang wurde erfolgreich ausgefhrt!
echo.
echo   Nach einem Tastendruck ffnet die Gruppenrichtlinienverwaltung
echo   zur allflligen Kontrolle der GPO 'C_AdobeAcrobatReaderDC'
echo.
echo   Ein Log-File ist im Ordner '...\LOGS' zu finden
echo  --------------------------------------------------------------
echo.
::
pause
::
start /B %SystemRoot%\system32\gpmc.msc
::
goto ENDE
::
:UNGEEIGNET
echo  ---------------------------------------------------
cls
color 4F
echo.
echo.
echo  Falscher Rechner!
echo  Dieser Batch muss auf dem %CName% ausgefhrt werden.
echo.
echo  ---------------------------------------------------
echo.
pause
goto ENDE
::

:: ************************************************************************************
:: * Patch bereits ausgefhrt                                                         *
:: ************************************************************************************
:NoPatch
cls
color 4F
echo.
echo.
echo Diese Installationsroutine wurde auf diesem Rechner bereits ausgefhrt.
echo.
echo Siehe %LOGFILE%
echo.
echo.
pause
goto ENDE
::
:Standardprogramm

:: * Log-Datei erstellen *
::************************
::
:: ====LOG================================================================================
echo Autor E. Vonach    				      		      >>"%LOGFILE%"
echo Dieses Logfile bitte nicht lschen!				      >>"%LOGFILE%"
echo Patch ausgefhrt am                   %date%  um  Zeit:  %time%          >>"%LOGFILE%"
echo.
echo Protokoll:             %LOGFILE%                                         >>"%LOGFILE%"
echo ------------------------------------------------------------------------ >>"%LOGFILE%"
echo.                                                                         >>"%LOGFILE%"
:: ====LOG================================================================================
::

goto Befehle
:ENDE
endlocal
